// Hỗ trợ bật menu phiên bản mobile
function myFunction() {
    var x = document.getElementById("navDemo");
    if (x.className.indexOf("w3-show") == -1) {
      x.className += " w3-show";
    } else {
      x.className = x.className.replace(" w3-show", "");
    }
  }
  // Hỗ trợ cuộn về trang chủ địa chỉ là #
  function scrollToTop() {
    window.scrollTo({
      top: 0,
      behavior: 'smooth'
    });
  }
  // menu mobile new
  function openNav() {
    document.getElementById("myNav").style.height = "100%";
  }
  
  function closeNav() {
    document.getElementById("myNav").style.height = "0%";
  }
  
  // js của new menu 
function activeAnimation() {
    var targets = document.querySelectorAll(".animation-target");
  
    for (var i = 0; i < targets.length; i++) {
      var windowHeight = window.innerHeight;
      var elementTop = targets[i].getBoundingClientRect().top;
      var elementVisible = 100;
  
      if (elementTop < windowHeight - elementVisible) {
        targets[i].classList.add("active");
      }
    }
  }

  activeAnimation();
  window.addEventListener("scroll", activeAnimation);

  // menu chuyển đổi tap username
var menuLinks = document.querySelectorAll('.menu-link');
var tabs = document.querySelectorAll('.tab-noidung');
menuLinks.forEach(function (menuLink) {
  menuLink.addEventListener('click', function (event) {
    event.preventDefault();

    var targetId = menuLink.getAttribute('href').substring(1);

    tabs.forEach(function (tab) {
      tab.classList.remove('active');
    });
    document.getElementById(targetId).classList.add('active');
  });
});

//loading nút trang chủ
function reloadPage() {
    var url = "index.php";
    window.location.replace(url); // Thay thế URL hiện tại bằng URL mới
}